<?php
	
	session_start();
	
	$repertoire =  $_POST["repertoire"];  // 
	$base =  $_POST["base"];	    // répertoire de base : 
	$chemin =  $_POST["chemin"];	// répertoire de la hierarchie
		
	if( $_SESSION['plateforme'] == "local")
	{
		// supprimer tous les caracteres \ et / de la chaine $chemin
		$tmp = str_replace("\\", "", $chemin);
		$tmp = str_replace("/", "", $tmp);
		
		$len = strlen($tmp);
				
		if($len == 0)
		{
			$position = "Racine";
			$path = $base;
			chdir($path);
			
			if(file_exists($repertoire))
			{
				echo 2;	
			}
			else
			{
				mkdir($repertoire);
				echo 1;		
			}
		}
		else
		{
			$position = "Hier";
			// supprimer le dernier caractere : \
			$tmp = substr($chemin, 0, -1);
			$path = $base ."\\".$tmp; 
			
			chdir($path);
			
			if(file_exists($repertoire))
			{
				echo 2;	
			}
			else
			{
				mkdir($repertoire);
				echo 1;	
			}
			
		}
		
	}
	
	
	/**************************************************************/
	
	else
	{
		// supprimer tous les caracteres \ et / de la chaine $chemin
		$tmp = str_replace("\\", "", $chemin);
		$tmp = str_replace("/", "", $tmp);
		$len = strlen($tmp);
				
		if($len == 0)
		{
			$path = $base;
			chdir($path);
			
			if(file_exists($repertoire))
			{
				echo 2;
			}
			else
			{
				mkdir($repertoire);
				echo 1;	
			}
			
		}
		else
		{
			// remplacer \ par  / dans la chaine $chemin
			$tmp = str_replace("\\", "/", $chemin);
			// supprimer le dernier caractere : \
			$tmp = substr($tmp, 0, -1);
			$path = $base .$tmp; 
			chdir($path);
			
			if(file_exists($repertoire))
			{
				echo 2;	
			}
			else
			{
				mkdir($repertoire);
				echo 1;
			}
			
		}
		
	}
	
?>